// hinf.h

#define START_TASK      1
#define STOP_TASK       2

struct my_msg_struct {
  int command;
  int order;
  double sampling_period;
};

#define BUF_LEN 5 // column number of time response record
#define RECORDING_SAMPLES 80000 // recording samples
#define WAITING_SAMPLES 0 // waiting samples without control 0.01sec->1000
#define ORDER_MAX 30 // maximum number of controller order

// Rotery encoder settings 
#define Pn212 65536 // pulse per revolution for Yasukawa servomotor
#define P_R 10000 // pulse per revolution for Oriental servomotor

// Confirm the following so that both servomotors have common gain of rated torque / input voltage (4[V])
// 1. Pn400 is set as 40 for Yasukawa motor
// 2. APP_2_03 is set as 25% for Oriental motor
#define RATED_TORQ 0.637 //定格トルク1.91[Nm]

// Confirm the following so that rotatonal direction is propery set:
// 1. Pn000 is set to 0(default)
// 2. Sys-1-06 is set as 1:+= CW(default)

//#define NO_CONTROL // if defined, controller never operates
